Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.function
Interface Function2D

All Known Implementing Classes:
  LineFunction2D, NormalDistributionFunction2D, PowerFunction2D

    public interface Function2D

A function of the form `y = f(x)`.

Method Summary
`double` | `getValue(double x)` Returns the value of the function ('y') for a given input ('x').

Method Detail

### getValue

    double getValue(double x)

  Returns the value of the function ('y') for a given input ('x').

  Parameters:
    `x` - the x-value.
  Returns:
    The function value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD